System Requirements

upSync requires the following system specifications and .NET framework versions.

System prerequisites

  • upSync installation size is approximately 10mb.
  • The memory requirements are the recommended requirements for the version of the Windows operating system and Windows Server application being used.
  • upSync does not have a specific memory requirement. The minimum amount of memory is the recommended minimum for the version of Windows being used.
  • The Windows Display setting should not be above 100%. Doing so will oversize the fonts.

Microsoft .NET Framework requirements

upSync requires Microsoft .NET Framework v4.8 full version. If the full version of Microsoft .NET Framework v4.8 is not already installed on the destination machine, it will be downloaded and installed as part of the installation process.

Considerations:

  • Beta versions of the .NET Framework v4 should be removed manually prior to installation.
  • The client version of .NET Framework v4 will be upgraded automatically to the full version.
  • Older versions of the .NET Framework will be retained.

Microsoft Windows Compatibility

Windows Server

  • Windows Server 2012 and 2012R2 requires no service packs, but requires installation of Framework 4.8
  • Windows Server 2016 and 2019 already include the required version of the Framework.

Windows Desktop

  • Windows 10 requires no service packs and has included the required version of the Framework since the Windows 10 Anniversary Update 1607.